% La fonction "attente" simule une variable aléatoire "t" suivant la loi
% exponentielle de paramètre "LAMBDA" (définie comme une macro globale),
% correspondant au temps d'attente avant un nouveau saut de notre
% processus.
function t = attente
% Il faut déclarer "LAMBDA" comme globale ; par contre, il n'y a pas besoin
% de l'initialiser vu que cela aura déjà été fait par la fonction-mère
% chargée d'appeler "exponentielle".
global LAMBDA
% Simulation de la loi exponentielle par la méthode de la fonction de
% répartition (complémentaire).
t = -log (rand ()) / LAMBDA;
return
end
