% La fonction "max_proc_stable" simule le processus stable entre 0 et T1,
% et renvoie la valeur maximale (en valeur absolue) "M" atteinte par
% celui-ci. Contrairement à "proc_stable", aucune courbe n'est tracée.
function M = max_proc_stable
% Je n'initialise pas les paramètres, car cela sera fait dans la
% fonction-mère.
global T1
% "t" est le temps courant du processus.
t = 0;
% "y" est la valeur courante du processus, initialement 0.
y = 0;
% On initialise "M"
M = 0;
% Je dois simuler le processus jusqu'à atteindre le temps T1.
while (true)
    t_attente = attente;
    t = t + t_attente;
    if t > T1
        break
    else
        y = y + mu;
        % On met à jour "M". La fonction « abs » de MATLAB calcule une
        % valeur absolue.
        M = max (M, abs (y));
    end
end
return
end
