% La fonction "max_proc_stable_tilde" fait le même travail que
% "max_proc_stable", mais en remplaçant la mesure mu par mu-tilde ; en
% outre, on renvoie aussi la densité relative "densite", pour le processus
% simulé, de la loi non tildée par rapport à la loi tildée.
function [M, densite] = max_proc_stable_tilde
global LAMBDA Z T1 Y1
t = 0;
y = 0;
M = 0;
% "densite" est la densité relative, calculée par produit à mesure de la
% simulation.
densite = 1;
while (true)
    t_attente = attente;
    t = t + t_attente;
    if t > T1
        break
    else
        % Le saut a maintenant pour loi mu-tilde...
        saut = mutilde;
        y = y + saut;
        % On met à jour la densité relative (c'est pourquoi nous avons
        % besoin, cette fois-ci, de donner un nom — à savoir "saut" — à
        % l'accroissement subi par le processus).
        densite = densite * Z / LAMBDA * exp ((saut / Y1) ^ 2);
        M = max (M, abs (y));
    end
end
return
end