% La fonction "mu" simule une variable aléatoire "x" de loi mu.
function x = mu
% Je déclare les paramètres globaux. Notez que je ne lance pas la fonction
% "init_param" dans ce code, car celui-ci est destiné in fine à être
% exécuté comme une sous-routine d'une fonction principale...
global ALPHA EPSILON
% On tire le signe de x uniformément
if rand < 1 / 2
    signe = -1;
else
    signe = 1;
end
% On tire la valeur absolue "x_abs" par la méthode de la fonction de
% répartition, indépendamment du signe.
x_abs = EPSILON * rand ^ (-1 / ALPHA);
% On en déduit finalement x.
x = signe * x_abs;
return
end
